<?php

namespace App\Contracts\Repositories;

use App\Models\FootballMatch;
use Illuminate\Database\Eloquent\Collection;

interface MatchRepositoryInterface
{
    public function findOrFail(int $id): FootballMatch;

    public function findActive(): ?FootballMatch;

    public function all(): Collection;

    public function create(array $data): FootballMatch;

    public function update(FootballMatch $match, array $data): FootballMatch;

    public function delete(FootballMatch $match): void;
}
